#include <iostream>
#include <iomanip>
#include <cmath>
#include <vector>
#include <queue>
#include <map>
#include <set>
#include <algorithm>


using namespace std;
#define ll long long
#define endl '\n'
#define itn int
#define fi first
#define se second

const long long oo=1000000000000;
const long long N=1500005;

vector<vector<pair<ll,ll>>>g(N);


int main()
{

//    ios_base::sync_with_stdio(0);
//    cin.tie(0);
//    cout.tie(0);


    ll test;
    cin>>test;
    while(test--)
    {
        ll n;
        cin>>n;
        ll v[n];
        for(itn i=0; i<n; i++)
        {

            cin>>v[i];
        }
        if(n==4)
        {
            ll c=0;
            for(itn j=0; j<n; j++)
            {

                for(itn u=0; u<n; u++)
                {
                    if(u==j)continue;
                            set<ll>s;
                            s.insert(1ll);
                            s.insert(2ll);
                            s.insert(3ll);
                            s.insert(0ll);
                            s.erase(j);
                            s.erase(u);
                            ll i=*s.begin();
                            s.erase(i);
                            ll y=*s.begin();

                            {
                                if(v[j]*2<=v[i]+v[u] && v[u]*2<=v[j]+v[y])
                                {
                                    c++;
                                    break;
                                }
                                swap(i,y);
                                if(v[j]*2<=v[i]+v[u] && v[u]*2<=v[j]+v[y])
                                {
                                    c++;
                                    break;
                                }


                    }


                }if(c)break;
            }
            if(c==0)cout<<"NO";
            else cout<<"YES";
            cout<<endl;
        }
    }

}
